
#ifndef PLATFORM_INPUT_H
#define PLATFORM_INPUT_H

class Keyboard;
class Mouse;

class PlatformInput
{
public :
	virtual Keyboard* createKeyboard() = 0;

	virtual Mouse* createMouse() = 0;

	virtual void update() = 0;
};

#endif /* PLATFORM_INPUT_H */
